const handler = (el, defaultOptions, libs) => {
    var aaFormComponent = libs.getLib('flatpickr')(el, defaultOptions)

    return aaFormComponent;
};

AAForm.addTypeHandler('aa-ft-picker-date', handler)
AAForm.setTypeDefaultOptions('aa-ft-picker-date', AAFormConfig.config['aa-ft-picker-date'])

AAForm.addTypeHandler('aa-ft-picker-time', handler)
AAForm.setTypeDefaultOptions('aa-ft-picker-time', AAFormConfig.config['aa-ft-picker-time'])

AAForm.addTypeHandler('aa-ft-picker-datetime', handler)
AAForm.setTypeDefaultOptions('aa-ft-picker-datetime', AAFormConfig.config['aa-ft-picker-datetime'])

AAForm.addTypeHandler('aa-ft-picker-datetime-immutable', handler)
AAForm.setTypeDefaultOptions('aa-ft-picker-datetime-immutable', AAFormConfig.config['aa-ft-picker-datetime'])